Last Comment Bug 831348 - messenger.xul: ReferenceError: gDisallow_classes_no_html is not defined
: messenger.xul: ReferenceError: gDisallow_classes_no_html is not defined
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.18
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks: 438429
  Show dependency treegraph
 
Reported: 2013-01-16 08:58 PST by Philip Chee
Modified: 2013-02-02 20:59 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed


Attachments
Patch 1.0 Fix it. (1.91 KB, patch)
2013-01-16 09:05 PST, Philip Chee
mnyromyr: review+
mnyromyr: superreview+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
bugspam.Callek: approval‑comm‑release+
Details | Diff | Review

Description Philip Chee 2013-01-16 08:58:44 PST
While investigating Bug 831249 I ran into these errors:

Thu Jan 17 2013 00:19:17
Error: ReferenceError: gDisallow_classes_no_html is not defined
Source file: chrome://messenger/content/messenger.xul
Line: 1

Fallout from bug 438429: meta bug to fix several RSS Summary/Web Page bugs.

Suite uses disallow_classes_no_html instead of gDisallow_classes_no_html

Also:

Thu Jan 17 2013 00:40:35
Error: TypeError: this.browsers[i] is undefined
Source file: chrome://navigator/content/tabbrowser.xml
Line: 1077
Comment 1 Philip Chee 2013-01-16 09:05:20 PST
Created attachment 702865 [details] [diff] [review]
Patch 1.0 Fix it.
Comment 2 Philip Chee 2013-01-16 21:43:36 PST
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/9876dc5fd507
Comment 3 Philip Chee 2013-01-17 02:09:06 PST
Comment on attachment 702865 [details] [diff] [review]
Patch 1.0 Fix it.

[Approval Request Comment]
Regression caused by (bug #): Bug 438429
User impact if declined: View-> (Feed) Message Body as... will show all six menu items (both mail/news items and Feed items)
Testing completed (on m-c, etc.): comm-central
Risk to taking this patch (and alternatives if risky): low risk bustage fix.
String changes made by this patch: None.

Note no one complained about this since Bug 438429 landed (SeaMonkey 2.0) so priority is low/ nice to have but not a blocker.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2013-01-17 10:48:51 PST
(In reply to Philip Chee from comment #0)
> Also:
> 
> Thu Jan 17 2013 00:40:35
> Error: TypeError: this.browsers[i] is undefined
> Source file: chrome://navigator/content/tabbrowser.xml
> Line: 1077

Bug 638915. Still.

(In reply to Philip Chee from comment #3)
> User impact if declined: View-> (Feed) Message Body as... will show all six
> menu items (both mail/news items and Feed items)

I cannot seem to reproduce this. Can you expand on the STR?
Comment 5 Philip Chee 2013-01-22 02:49:56 PST
> I cannot seem to reproduce this. Can you expand on the STR?
Err, now that I've got the patch applied locally I don't have a STR ;P

Note You need to log in before you can comment on or make changes to this bug.